Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client.naming
Class DummyAddressDB

    java.lang.Object
      net.i2p.client.naming.AddressDB
          net.i2p.client.naming.DummyAddressDB

Deprecated. unused

    public class DummyAddressDB

extends AddressDB

Field Summary

Fields inherited from class net.i2p.client.naming.AddressDB
`_context, PROP_IMPL`

Constructor Summary
`DummyAddressDB(I2PAppContext context)` Deprecated.

Method Summary
`boolean` | `contains(Address address)` Deprecated.
`boolean` | `contains(String hostname)` Deprecated.
`Address` | `get(String hostname)` Deprecated.
`Collection` | `hostnames()` Deprecated.
`Address` | `put(Address address)` Deprecated.
`Address` | `remove(Address address)` Deprecated.
`Address` | `remove(String hostname)` Deprecated.

Methods inherited from class net.i2p.client.naming.AddressDB
`createInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyAddressDB

    public DummyAddressDB(I2PAppContext context)

  Deprecated.

Method Detail

### get

    public Address get(String hostname)

  Deprecated.
  Specified by:
    `get` in class `AddressDB`

### put

    public Address put(Address address)

  Deprecated.
  Specified by:
    `put` in class `AddressDB`

### remove

    public Address remove(String hostname)

  Deprecated.
  Specified by:
    `remove` in class `AddressDB`

### remove

    public Address remove(Address address)

  Deprecated.
  Specified by:
    `remove` in class `AddressDB`

### contains

    public boolean contains(Address address)

  Deprecated.
  Specified by:
    `contains` in class `AddressDB`

### contains

    public boolean contains(String hostname)

  Deprecated.
  Specified by:
    `contains` in class `AddressDB`

### hostnames

    public Collection hostnames()

  Deprecated.
  Specified by:
    `hostnames` in class `AddressDB`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD